echo off
setlocal

rem FOR ASH WARE INTERNAL TESTING ONLY!
set CC=%TEST_BED_BIN_DIR%\ETEC_cc.exe
set LINK=%TEST_BED_BIN_DIR%\ETEC_link.exe
if exist %CC% goto CheckPathingSuccess

rem During installation of the ASH WARE ETEC Compiler
rem environment variable, 'ETEC_BIN', is set to point
rem to the latest installed version
set CC=%ETEC_BIN%ETEC_cc.exe
set LINK=%ETEC_BIN%ETEC_link.exe
if exist %CC% goto CheckPathingSuccess

echo *************************************************
echo It appears the ETEC_BIN environment variable is not
echo set, or not set correctly.
echo ETEC_BIN = %ETEC_BIN%
echo Correct this problem in order to build this demo.
echo *************************************************
goto errors

:CheckPathingSuccess

echo .
%CC% -version
%LINK% -version
echo .

echo .
echo Compiler:    %CC%
echo Linker:      %LINK%
echo CmdLineArgs: %1 %2 %3 %4
echo .

echo create the 'cpu' directory for the auto-generated header files
mkdir cpu
del cpu\*.h /q

set GPIO=-d=INCLUDE_GPIO -d=GPIO_FUNCTION_NUMBER=0
set PWM=-d=INCLUDE_PWM -d=PWM_FUNCTION_NUMBER=1
set IC=-d=INCLUDE_IC -d=IC_FUNCTION_NUMBER=2
set OC=-d=INCLUDE_OC -d=OC_FUNCTION_NUMBER=3
set FPM=-d=INCLUDE_FPM -d=FPM_FUNCTION_NUMBER=4
set PPA=-d=INCLUDE_PPA -d=PPA_FUNCTION_NUMBER=5
set UART=-d=INCLUDE_UART -d=UART_FUNCTION_NUMBER=6
set QOM=-d=INCLUDE_QOM -d=QOM_FUNCTION_NUMBER=7
set SM=-d=INCLUDE_SM -d=SM_FUNCTION_NUMBER=8
set SPI=-d=INCLUDE_SPI -d=SPI_FUNCTION_NUMBER=9
set SPWM=-d=INCLUDE_SPWM -d=SPWM_FUNCTION_NUMBER=10
set TEST=-d=INCLUDE_TEST -d=TEST_FUNCTION_NUMBER=14

set ALL_INCLUDES= %GPIO% %PWM% %IC% %OC% %FPM% %PPA% %UART% %QOM% %SM% %SPI% %SPWM% %TEST%

%CC% ETEC_fs_func_set.c  -warnDis=310,400,514 %ALL_INCLUDES% -GlobalScratchpad -msgstyle=gnu
if  %ERRORLEVEL% NEQ 0 ( goto errors )

%LINK% ETEC_fs_func_set.eao -out=MyCode -CodeSize=0x3000 -map -lst %1 %2 %3 %4
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo .
echo BUILD PASSES

goto end
:errors
echo *************************************************
echo        YIKES, WE GOT ERRORS!!
echo *************************************************
exit /b -1
:end

