setlocal
echo off

del *.lst,MyCode*,*.eao,etpuc_*.c,etpuc_link_func.h,ETEC_fs_func_set.c,etpu_set.h,etpu_set_init.h,*.report,MyErrorLog.txt

rem to avoid a 'two copy' problem
rem simply copy these files on every test run
set src=..\..\WebApps\ETpuImageBuilder\Source\etpu\_etpu_set
copy %src%\ETEC_fs_func_set.c /y
copy %src%\etpuc_link_func.h /y
copy %src%\etpuc_fpm.c /y
copy %src%\etpuc_gpio.c /y
copy %src%\etpuc_ic.c /y
copy %src%\etpuc_oc.c /y
copy %src%\etpuc_ppa.c /y
copy %src%\etpuc_pwm.c /y
copy %src%\etpuc_qom.c /y
copy %src%\etpuc_sm.c /y
copy %src%\etpuc_spi.c /y
copy %src%\etpuc_spwm.c /y
copy %src%\etpuc_uart.c /y

set DEVTOOL=%TEST_BED_BIN_DIR%\DevTool.exe
if exist %DEVTOOL% goto CheckDevToolPathingSuccess

set DEVTOOL=..\..\Builds\DevTool.exe
if exist %DEVTOOL% goto CheckDevToolPathingSuccess

echo *************************************************
echo UNABLE TO FIND THE DEVELOPMENT TOOL!
echo *************************************************
goto errors

:CheckDevToolPathingSuccess


echo .
echo %DEVTOOL%
echo .


goto skip_this
:skip_this


echo .
echo Building using Mk.bat
call Mk.bat -ForceDemo
if  %ERRORLEVEL% NEQ 0 ( goto errors )

del *.lst,MyCode*,*.eao,etpu_set.h,etpu_set_init.h,*.report,MyErrorLog.txt

echo .
echo Running the "ETEC UART Demo as the user would see it" Test ...
%DEVTOOL% -p=Proj.ETpuIdeProj -AutoRun -AutoBuild  -ForceDemoIde  -ForceDemoEtec -minimize
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo .
echo Running ... "CREATING UART Behavior Verification (with delay)"...
%DEVTOOL% -p=Proj.ETpuIdeProj -AutoRun -NoBuild  -ForceDemoIde  -ForceDemoEtec  -minimize -d=CREATE_EBV_FILE
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo .
echo Running Mtdt's "VERIFYING Behavior Verification Fails (due to delay)" ...
%DEVTOOL% -p=Proj.ETpuIdeProj -AutoRun -NoBuild  -ForceDemoIde  -ForceDemoEtec  -lf5=MyErrorLog.txt -q  -minimize -d=VERIFY_FAILING_EBV_FILE
if  %ERRORLEVEL% EQU 0 ( goto errors )


echo .
echo Demo Test Passes
echo .


goto end
:errors
echo *************************************************
echo        YIKES, WE GOT ERRORS!!
echo *************************************************
exit /b -1
:end
exit /b 0