#ifndef __ETPUC_TO_ETEC_UART_CONV_H
#define __ETPUC_TO_ETEC_UART_CONV_H

#include "MyCode_defines.h"

/* Function Configuration Information */
#define FS_ETPU_UART_FUNCTION_NUMBER			_FUNCTION_NUM_UART_ 
#define FS_ETPU_UART_TABLE_SELECT				_ENTRY_TABLE_TYPE_UART_
#define FS_ETPU_UART_NUM_PARMS					_FRAME_SIZE_UART_ 

/* Host Service Request Definitions */
#define FS_ETPU_UART_TX_INIT 4 
#define FS_ETPU_UART_RX_INIT 7

/* Function Mode Bit Definitions - polarity options */
#define FS_ETPU_UART_NO_PARITY 0 
#define FS_ETPU_UART_EVEN_PARITY 0  + 2 
#define FS_ETPU_UART_ODD_PARITY 1  + 2 

/* Parameter Definitions */
#define FS_ETPU_UART_MATCH_RATE_OFFSET			_CPBA24_UART_FS_ETPU_UART_MATCH_RATE_
#define FS_ETPU_UART_TX_RX_DATA_OFFSET			_CPBA24_UART_FS_ETPU_UART_TX_RX_DATA_
#define FS_ETPU_UART_BITS_PER_DATA_WORD_OFFSET	_CPBA8_UART_FS_ETPU_UART_BITS_PER_DATA_WORD_
#define FS_ETPU_UART_ACTUAL_BIT_COUNT_OFFSET	_CPBA8_UART_FS_ETPU_UART_ACTUAL_BIT_COUNT_
#define FS_ETPU_UART_SHIFT_REG_OFFSET			_CPBA24_UART_FS_ETPU_UART_SHIFT_REG_
#define FS_ETPU_UART_PARITY_TEMP_OFFSET			_CPBA8_UART_FS_ETPU_UART_PARITY_TEMP_
#define FS_ETPU_UART_RX_ERROR_OFFSET			_CPBA8_UART_FS_ETPU_UART_RX_ERROR_

#endif // __ETPUC_TO_ETEC_UART_CONV_H
